/*  ## Testing Roaming speaking bot- New speed##
  *** This program works-11/16/21 - with The New Lenovo Desktop ***

*/
#include "simpletools.h"
#include "wavplayer.h"                  // Needs 0.9 or later              
#include "abdrive360.h"                    // Needs 0.5.5 or later
#include "sirc.h"              


int main()                              // Main - execution begins!
{
  freqout(4, 2000, 2000);               // Start beep - low battery reset alarm
  drive_speed(0,0);                     // Start servos/encoders cog
  drive_setRampStep(10);                // Set ramping at 10 ticks/sec per 20 ms
  sirc_setTimeout(50);                  // Remote timeout = 50 ms

  int DO = 22, CLK = 23, DI = 24, CS = 25;  // Declare SD I/O pins
  sd_mount(DO, CLK, DI, CS);                // Mount SD card
  wav_volume(10);                            // Set vol here, 1 - 10  

  while(1)                               // Outer loop
  {
    while((input(7) + input(8)) == 2)    // Inner loop while whiskers not pressed 
    {
      int button = sirc_button(10);      // check for remote key press
  
      // Audio responses - if number key pressed, play named WAV file
      if(button == 1)wav_play("byebye.wav");               
      if(button == 2)wav_play("dontknow.wav");   
      if(button == 3)wav_play("thankyou.wav");                
      if(button == 4)wav_play("no.wav");                
      if(button == 5)wav_play("oops.wav");                 
      if(button == 6)wav_play("dontknow.wav");                   
      if(button == 7)wav_play("yes.wav");               
      if(button == 8)wav_play("maybe.wav");                
      if(button == 9)wav_play("yesday.wav"); 
      if(button == 0)wav_play("Meto.wav");                  
  
      // Motion responses - if key pressed, set wheel speeds
      if(button == CH_UP)drive_rampStep(64, 64);   // Forward
      if(button == CH_DN)drive_rampStep(-64, -64); // Backward
      if(button == VOL_DN)drive_rampStep(-32, 32); // Left turn      
      if(button == VOL_UP)drive_rampStep(32, -32); // Right turn 
      if(button == MUTE)drive_rampStep(0, 0);        // Stop 
    }

    // Sensor response - if a whisker is pressed
    drive_speed(0, 0);                  // Stop driving
    drive_speed(-100, -100);            // Back up 0.5 seconds
    pause(500); 
    drive_speed(0, 0);                  // Stop driving
    wav_play("ouch.wav");               // Play named WAV file
    pause(1000);                        // Pause & return to outer loop
  }            
}


